Subject: Re: bug#24899: 25.1; x-hide-tip always returns nil with USE_GTK

From: Noah Peart <[email-masked]>
Date: Wed, 9 Nov 2016 17:44:37 -0500

Ah, yes, I had left in the first `frame = Qnil;`.  Oops!  Sorry for the
noise.
Thanks

On Wed, Nov 9, 2016 at 2:00 AM, martin rudalics <[email-masked]> wrote:

> > I think there might be another problem with the patch though.  There
> seems
> > to be a problem when setting `x-gtk-use-system-tooltips` variable to nil.
> >
> > I think that `x-show-tip` respects this variable with
> >
> > `if (x_gtk_use_system_tooltips)`
> >
> > but `x-hide-tip` does not.  So, the tooltip is created but can't be
> > destroyed.
>
> The patch wouldn't change anything in this regard.  The tooltip will be
> destroyed as with any other toolkit.  On Emacs-26 you can alternatively
> hide it via ‘tooltip-reuse-hidden-frame’.
>
> martin
>
>